libetonyek::IWORKMediaElement Class Reference documentation

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libetonyek::IWORKMediaElement Class Reference

`#include <IWORKMediaElement.h>`

Inheritance diagram for libetonyek::IWORKMediaElement:

## Public Member Functions
| IWORKMediaElement (IWORKXMLParserState &state)
Public Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
| IWORKXMLContextBase (State &state)
template<typename T >
| IWORKXMLContextBase (State &state, const T &a)
State & | getState ()

## Private Member Functions
void | attribute (int name, const char *value) override
void | startOfElement () override
IWORKXMLContextPtr_t | element (int name) override
void | endOfElement () override

## Private Attributes
IWORKMediaContentPtr_t | m_content
IWORKDataPtr_t | m_movieData
IWORKMediaContentPtr_t | m_audioOnlyImage
IWORKMediaContentPtr_t | m_posterImage
boost::optional< ID_t > | m_audioOnlyImageRef
IWORKStylePtr_t | m_style
IWORKGeometryPtr_t | m_cropGeometry
boost::optional< int > | m_order
boost::optional< IWORKWrap > | m_wrap
boost::optional< IWORKSize > | m_placeholderSize

## Additional Inherited Members
Protected Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
Collector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const
Protected Attributes inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
State & | m_state

## Constructor & Destructor Documentation

## ◆ IWORKMediaElement()

libetonyek::IWORKMediaElement::IWORKMediaElement | ( | IWORKXMLParserState & | state | ) |
| explicit

## Member Function Documentation

## ◆ attribute()

void libetonyek::IWORKMediaElement::attribute | ( | int | name,
|  | const char * | value )
| overrideprivate

## ◆ element()

IWORKXMLContextPtr_t libetonyek::IWORKMediaElement::element | ( | int | name | ) |
| overrideprivate

## ◆ endOfElement()

void libetonyek::IWORKMediaElement::endOfElement | ( |  | ) |
| overrideprivate

## ◆ startOfElement()

void libetonyek::IWORKMediaElement::startOfElement | ( |  | ) |
| overrideprivate

## Member Data Documentation

## ◆ m_audioOnlyImage

IWORKMediaContentPtr_t libetonyek::IWORKMediaElement::m_audioOnlyImage
| private

Referenced by element(), and endOfElement().

## ◆ m_audioOnlyImageRef

boost::optional<ID_t> libetonyek::IWORKMediaElement::m_audioOnlyImageRef
| private

Referenced by element(), and endOfElement().

## ◆ m_content

IWORKMediaContentPtr_t libetonyek::IWORKMediaElement::m_content
| private

Referenced by element(), and endOfElement().

## ◆ m_cropGeometry

IWORKGeometryPtr_t libetonyek::IWORKMediaElement::m_cropGeometry
| private

Referenced by element(), and endOfElement().

## ◆ m_movieData

IWORKDataPtr_t libetonyek::IWORKMediaElement::m_movieData
| private

Referenced by element(), and endOfElement().

## ◆ m_order

boost::optional<int> libetonyek::IWORKMediaElement::m_order
| private

Referenced by attribute(), and endOfElement().

## ◆ m_placeholderSize

boost::optional<IWORKSize> libetonyek::IWORKMediaElement::m_placeholderSize
| private

Referenced by element().

## ◆ m_posterImage

IWORKMediaContentPtr_t libetonyek::IWORKMediaElement::m_posterImage
| private

Referenced by element(), and endOfElement().

## ◆ m_style

IWORKStylePtr_t libetonyek::IWORKMediaElement::m_style
| private

Referenced by element().

## ◆ m_wrap

boost::optional<IWORKWrap> libetonyek::IWORKMediaElement::m_wrap
| private

Referenced by element().

The documentation for this class was generated from the following files:

- IWORKMediaElement.h
- IWORKMediaElement.cpp